#include<stdio.h>
void sortiraj(int a[],int n);
int medijana(int a[],int n);
int main(){
	int n,q,a[100000],b[100000];
	scanf("%d %d",&n,&q);
	for(int i=1;i<=n;i++){
		scanf("%d", &a[i]);
	}
	for(int i=1;i<=q;i++){
		scanf("%d",&b[i]);
	}
	int k=0;
	sortiraj(a,n);
	int med=medijana(a,n);
	for(int i=1;i<=q;i++){
		while(med!=b[i]){
			n++;
			a[n]=b[i];
			sortiraj(a,n);
			med=medijana(a,n);
			k++;
		}
		printf("%d\n",k);
		k=0;
	}
	return 0;
}

void sortiraj(int a[],int n){
	int pom;
		for(int i=1;i<=n;i++){
		for(int j=i+1;j<=n;j++){
			if(a[i]>a[j]){
			pom=a[i];
			a[i]=a[j];
			a[j]=pom;	
			}
		}
	}
}

int medijana(int a[],int n){
	int med;
	med=a[n/2+1];
    return med;
}